package schedframe.resources.computing.profiles.energy.power.ui;

import schedframe.resources.computing.ComputingResource;
import schedframe.resources.computing.DataCenter;
import schedframe.resources.computing.profiles.energy.power.PowerProfile;
import schedframe.resources.computing.profiles.energy.power.PowerStateName;
import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;

public class DataCenterPowerInterface extends ComputingResourcePowerInterface{

	public DataCenterPowerInterface(ComputingResource resource, PowerProfile pp){
		super(resource, pp);
		currentPowerState = StandardPowerStateName.ON;
	}

	public boolean setPowerState(PowerStateName state) {
		if(!supportPowerState(state))
			return false;
		currentPowerState = state;
		DataCenter dataCenter = (DataCenter)resource;

		for(ComputingResource child: dataCenter.getChildren()){
			child.getPowerInterface().setPowerState(state);
		}
		//ResourceController.traceResource(new DateTime().getMillis(), resource.getFullName(), "POWER_STATE_CHANGED", state.getName());
		return true;
	}




}
